Bug 1190167 - 'pcs resource clear' does not work on cloned group
Summary: 'pcs resource clear' does not work on cloned group
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pcs
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Tomas Jelinek
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1149677
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-06 14:41 UTC by michal novacek
Modified: 2015-07-22 06:16 UTC (History)
3 users (show)

Fixed In Version: pcs-0.9.138-1.el6
Doc Type: Bug Fix
Doc Text:
* After the user attempted to ban or clear a clone resource, pcs displayed an error message stating the resource did not exist. With this update, pcs supports banning and clearing clone resources. The "pcs resource ban" command creates a constraint on a cloned resource, and the "pcs resource clear" command removes that constraint. (BZ#1190167)
Clone Of: 1149677
Environment:
Last Closed: 2015-07-22 06:16:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1446 normal SHIPPED_LIVE pcs bug fix and enhancement update 2015-07-20 18:43:57 UTC

Comment 2 Tomas Jelinek 2015-02-10 09:07:45 UTC
upstream patch: https://github.com/feist/pcs/commit/7f08a1fb2f7f49543583dc09d0cab904c35d5a52

Before Fix:
[root@rh66-node1 ~]# rpm -q pcs
pcs-0.9.123-9.el6.x86_64
[root@rh66-node1:~]# pcs resource create dummy Dummy --group dummies
[root@rh66-node1:~]# pcs resource clone dummies
[root@rh66-node1:~]# pcs resource
 Clone Set: dummies-clone [dummies]
     Started: [ rh66-node1 rh66-node2 ]
[root@rh66-node1:~]# pcs resource ban dummies-clone rh66-node1
Error: dummies-clone is not a valid resource
[root@rh66-node1:~]# echo $?
1
[root@rh66-node1:~]# pcs resource clear dummies-clone
Error: dummies-clone is not a valid resource
[root@rh66-node1:~]# echo $?
1

After Fix:
[root@rh66-node1:~]# rpm -q pcs
pcs-0.9.138-1.el6.x86_64
[root@rh66-node1:~]# pcs resource create dummy Dummy --group dummies
[root@rh66-node1:~]# pcs resource clone dummies
[root@rh66-node1:~]# pcs resource
 Clone Set: dummies-clone [dummies]
     Started: [ rh66-node1 rh66-node2 ]
[root@rh66-node1:~]# pcs resource ban dummies-clone rh66-node1
[root@rh66-node1:~]# echo $?
0
[root@rh66-node1:~]# pcs resource
 Clone Set: dummies-clone [dummies]
     Started: [ rh66-node2 ]
     Stopped: [ rh66-node1 ]
[root@rh66-node1:~]# pcs resource clear dummies-clone
[root@rh66-node1:~]# echo $?
0
[root@rh66-node1:~]# pcs resource
 Clone Set: dummies-clone [dummies]
     Started: [ rh66-node1 rh66-node2 ]

Comment 7 errata-xmlrpc 2015-07-22 06:16:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1446.html


Note You need to log in before you can comment on or make changes to this bug.